# List all accounting codes This reference describes how to query all accounting codes in your chart of accounts through the REST API. Endpoint: GET /v1/accounting-codes Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. ## Response 200 fields (application/json): - `accountingCodes` (array) An array of all the accounting codes in your chart of accounts. Each accounting code has the following fields. - `accountingCodes.category` (string) The category associated with the accounting code. Enum: "Assets", "Liabilities", "Equity", "Revenue", "Expenses" - `accountingCodes.createdBy` (string) The ID of the user who created the accounting code. - `accountingCodes.createdOn` (string) Date and time when the accounting code was created. - `accountingCodes.glAccountName` (string) Name of the account in your general ledger. Field only available if you have Zuora Finance enabled. - `accountingCodes.glAccountNumber` (string) Account number in your general ledger. Field only available if you have Zuora Finance enabled. - `accountingCodes.id` (string) ID of the accounting code. - `accountingCodes.name` (string) Name of the accounting code. - `accountingCodes.notes` (string) Any optional notes for the accounting code. - `accountingCodes.status` (string) The accounting code status. Enum: "Active", "Inactive" - `accountingCodes.type` (string) Accounting code type. Note that On-Account Receivable is only available if you enable the Invoice Settlement feature. Enum: "AccountsReceivable", "On-Account Receivable", "Cash", "OtherAssets", "CustomerCashOnAccount", "DeferredRevenue", "SalesTaxPayable", "OtherLiabilities", "SalesRevenue", "SalesDiscounts", "OtherRevenue", "OtherEquity", "BadDebt", "OtherExpenses" - `accountingCodes.updatedBy` (string) The ID of the user who last updated the accounting code. - `accountingCodes.updatedOn` (string) Date and time when the accounting code was last updated. - `accountingCodes.segmentConstantValues` (object) Segment constant values. The field is available only if you have GL Segmentation 2.0 enabled. This field is additional property. - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.